Deletes the specified automation for a given project.

DELETEhttps://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}
DELETE https://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}

Deletes the specified automation for a given project. Also deletes all actions connected to the automation. The user needs to be the owner of the project or have 'write' permissions of the feature 'project-master-data' globally or in the project. Automations created from a workflow cannot be deleted via this endpoint.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

automationIdstringRequired
format: uuid

The id of the automation.

projectIdstringRequired
format: uuid

The id of the project.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation